#!%PERL% -w


use strict;

use Data::Dumper;
use lib '%VHFFS_LIB_DIR%';
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Repository;

my $princ = init Vhffs::Main;

die("Usage: $0 reponame description username groupname\n") unless(@ARGV == 4);

my ($reponame, $description, $username, $groupname) = @ARGV;

my $user = Vhffs::User::get_by_username($princ, $username);
die("User not found\n") unless(defined $user);
my $group = Vhffs::Group::get_by_groupname($princ, $groupname);
die("Group not found\n") unless(defined $group);

my $repo = Vhffs::Services::Repository::create($princ, $reponame, $description, $user, $group );

if( defined $repo )
{
	print "Repository $reponame created\n";
}
else
{
	print "Unable to create $reponame, check syntax and uniqueness\n";
	exit;
}

